org.eclipse.gef.cloudio.internal.ui

## Class CloudioUiBundle

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.gef.cloudio.internal.ui.CloudioUiBundle

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class CloudioUiBundle
    extends AbstractUIPlugin

### Field Summary

Fields
`static java.lang.String` `ADD`
`static java.lang.String` `PLUGIN_ID`
`static java.lang.String` `REMOVE`
`static java.lang.String` `TOGGLE_COLORS`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`CloudioUiBundle()` The constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CloudioUiBundle` `getDefault()` Returns the shared instance
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

#### ADD

    public static final java.lang.String ADD

See Also:
  Constant Field Values

#### REMOVE

    public static final java.lang.String REMOVE

See Also:
  Constant Field Values

#### TOGGLE_COLORS

    public static final java.lang.String TOGGLE_COLORS

See Also:
  Constant Field Values

### Constructor Detail

#### CloudioUiBundle

    public CloudioUiBundle()

The constructor

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### getDefault

    public static CloudioUiBundle getDefault()

Returns the shared instance

Returns:
  the shared instance